#!/usr/bin/env python
from fabric.api import task, local, settings


@task
def publish():
    '''Build, publish the Debian package.'''
    local('git dch -R')
    build()
    for dist in ['wheezy', 'jessie', 'sid']:
        local('''reprepro includedeb ''' + dist + ''' ../dcpman_*.deb''')
    local('''fab -f $REPREPRO_BASE_DIR/fabfile.py publish''')
    clean()


@task
def build():
    '''Build the Debian package.'''
    local('''dpkg-buildpackage -us -uc''')


@task
def clean():
    '''Clean auto-generated files.'''
    with settings(warn_only=True):
        local('''rm ../dcpman_*''')
        local('''rm -r debian/dcpman.substvars debian/dcpman.prerm.debhelper\
        debian/dcpman.postinst.debhelper debian/dcpman.debhelper.log\
        debian/dcpman debian/files''')
        local('''rm fabfile.pyc''')
